Summary: GNU autoconf - source configuration tools
Name: autoconf
Version: 2.13
Release: 1
Group: Development/Building
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Requires: gawk, m4, mktemp
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-root

%description
GNU's "autoconf" is a tool for source and Makefile configuration. It
assists the programmer in creating portable and configurable packages, by
allowing the person building the package to specify various configuration
options. 

"autoconf" is not required for the end user - it is needed only to
generate the configuration scripts. 


%prep
%setup -q


%build
./configure --prefix=/usr
make


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install
gzip -9f $RPM_BUILD_ROOT/usr/info/autoconf.info

# We don't need standards.info in this package because it comes from binutils
rm -f $RPM_BUILD_ROOT/usr/info/standards.info

# RedHat did this, so I just follow. Don't know why.
cp -p install-sh $RPM_BUILD_ROOT/usr/share/autoconf


%post
/sbin/install-info /usr/info/autoconf.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/autoconf.info.gz /usr/info/dir
fi


%files
%defattr(-,root,root)
/usr/bin/*
/usr/info/*
/usr/share/autoconf


%clean
rm -rf $RPM_BUILD_ROOT
